VULKAN_HPP_NAMESPACE::FlagTraits< SampleCountFlagBits > Struct Reference

`#include <vulkan.hpp>`

## Public Types

enum | { allFlags = VkFlags(SampleCountFlagBits::e1) | VkFlags(SampleCountFlagBits::e2) | VkFlags(SampleCountFlagBits::e4) | VkFlags(SampleCountFlagBits::e8) | VkFlags(SampleCountFlagBits::e16) | VkFlags(SampleCountFlagBits::e32) | VkFlags(SampleCountFlagBits::e64) }

## Detailed Description

Definition at line 26971 of file vulkan.hpp.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
allFlags |

Definition at line 26973 of file vulkan.hpp.

{
allFlags = VkFlags(SampleCountFlagBits::e1) | VkFlags(SampleCountFlagBits::e2) | VkFlags(SampleCountFlagBits::e4) | VkFlags(SampleCountFlagBits::e8) | VkFlags(SampleCountFlagBits::e16) | VkFlags(SampleCountFlagBits::e32) | VkFlags(SampleCountFlagBits::e64)
};

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::SampleCountFlagBits::e2
@ e2
VULKAN_HPP_NAMESPACE::SampleCountFlagBits::e64
@ e64
VULKAN_HPP_NAMESPACE::SampleCountFlagBits::e8
@ e8
VkFlags
uint32_t VkFlags
Definition: vulkan_core.h:64
VULKAN_HPP_NAMESPACE::SampleCountFlagBits::e4
@ e4
VULKAN_HPP_NAMESPACE::SampleCountFlagBits::e32
@ e32
VULKAN_HPP_NAMESPACE::SampleCountFlagBits::e1
@ e1
VULKAN_HPP_NAMESPACE::SampleCountFlagBits::e16
@ e16
VULKAN_HPP_NAMESPACE::FlagTraits< SampleCountFlagBits >::allFlags
@ allFlags
Definition: vulkan.hpp:26975